## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
              org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem

All Implemented Interfaces:
  SVGItem, SVGPathSeg, SVGPathSegClosePath, SVGPathSegCurvetoCubicAbs, SVGPathSegCurvetoCubicRel

Enclosing class:
  AbstractSVGPathSegList

public class AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem
extends AbstractSVGPathSegList.SVGPathSegItem
implements SVGPathSegCurvetoCubicAbs, SVGPathSegCurvetoCubicRel

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`angle, largeArcFlag, letter, r1, r2, sweepFlag, type, x, x1, x2, y, y1, y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg

`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem(short type, java.lang.String letter, float x1, float y1, float x2, float y2, float x, float y)`
`AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem(SVGPathSeg pathSeg)`

Method Summary
`protected java.lang.String` `getStringValue()` Return the string representation of the item.
`float` `getX()`
`float` `getX1()`
`float` `getX2()`
`float` `getY()`
`float` `getY1()`
`float` `getY2()`
`void` `setX(float x)`
`void` `setX1(float x1)`
`void` `setX2(float x2)`
`void` `setY(float y)`
`void` `setY1(float y1)`
`void` `setY2(float y2)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`getPathSegType, getPathSegTypeAsLetter`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Constructor Detail

### AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem

    public AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem(short type,
                                                             java.lang.String letter,
                                                             float x1,
                                                             float y1,
                                                             float x2,
                                                             float y2,
                                                             float x,
                                                             float y)

### AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem

    public AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem(SVGPathSeg pathSeg)

Method Detail

### getX

    public float getX()

  Specified by:
    `getX` in interface `SVGPathSegCurvetoCubicAbs`

### getY

    public float getY()

  Specified by:
    `getY` in interface `SVGPathSegCurvetoCubicAbs`

### setX

    public void setX(float x)

  Specified by:
    `setX` in interface `SVGPathSegCurvetoCubicAbs`

### setY

    public void setY(float y)

  Specified by:
    `setY` in interface `SVGPathSegCurvetoCubicAbs`

### getX1

    public float getX1()

  Specified by:
    `getX1` in interface `SVGPathSegCurvetoCubicAbs`

### getY1

    public float getY1()

  Specified by:
    `getY1` in interface `SVGPathSegCurvetoCubicAbs`

### setX1

    public void setX1(float x1)

  Specified by:
    `setX1` in interface `SVGPathSegCurvetoCubicAbs`

### setY1

    public void setY1(float y1)

  Specified by:
    `setY1` in interface `SVGPathSegCurvetoCubicAbs`

### getX2

    public float getX2()

  Specified by:
    `getX2` in interface `SVGPathSegCurvetoCubicAbs`

### getY2

    public float getY2()

  Specified by:
    `getY2` in interface `SVGPathSegCurvetoCubicAbs`

### setX2

    public void setX2(float x2)

  Specified by:
    `setX2` in interface `SVGPathSegCurvetoCubicAbs`

### setY2

    public void setY2(float y2)

  Specified by:
    `setY2` in interface `SVGPathSegCurvetoCubicAbs`

### getStringValue

    protected java.lang.String getStringValue()

  Description copied from class: `AbstractSVGItem`
  Return the string representation of the item.

  Overrides:
    `getStringValue` in class `AbstractSVGPathSegList.SVGPathSegItem`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.